@import "variables";

.sidebar {
    background-color: transparent;
    width: 30rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    overflow-x: hidden;
    transition: width 500ms;

    @media (max-width: 699px) {
        width: 40%;
    }

    &.dark {
        border-right: 1px solid $dark-secondary;
        .sidebar-link.active {
            background-color: $highlight-dark;
        }
        .sidebar-link.inactive:hover {
            background-color: $highlight-secondary-dark;
        }
    }

    &.light {
        border-right: 1px solid $light-secondary;
        .sidebar-link.active {
            background-color: $highlight-light;
        }
        .sidebar-link.inactive:hover {
            background-color: $highlight-secondary-light;
        }
    }

    &.collapsed {
        width: 6rem;
    }

    &-link {
        cursor: pointer;
        padding: 1rem;
        display: flex;
        width: 100%;
        align-items: center;
        &-icon {
            height: 2rem;
            width: 2rem !important;
            margin: 1rem;
            @media (max-width: 699px) {
                height: 2.5rem;
                width: 2.5rem !important;
            }
        }
        &-text {
            margin-left: 3rem;
            font-size: 1.8rem;
        }
    }
}